## grendel.dnd
Class DropTargetDropEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--grendel.dnd.DropTargetEvent
                  |
                  +--grendel.dnd.DropTargetDropEvent

public class DropTargetDropEvent
extends DropTargetEvent

See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DropTargetDropEvent(java.lang.Object aSource, DropTargetContext context, java.awt.Point cursor, int actions, java.awt.datatransfer.Transferable transferable)`

Method Summary
`void` | `acceptDrop(int dropAction)`
`java.awt.datatransfer.Transferable` | `getTransferable()`
`void` | `rejectDrop()`

Methods inherited from class grendel.dnd.DropTargetEvent
`getDropTargetContext, getSourceActions`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DropTargetDropEvent

    public DropTargetDropEvent(java.lang.Object aSource,
                               DropTargetContext context,
                               java.awt.Point cursor,
                               int actions,
                               java.awt.datatransfer.Transferable transferable)

Method Detail

### acceptDrop

    public void acceptDrop(int dropAction)

### rejectDrop

    public void rejectDrop()

### getTransferable

    public java.awt.datatransfer.Transferable getTransferable()